package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFL33Data {

    private Map<String, Object> params;
    
    public MWFL33Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsRodnecislo() {
        return (String) params.get("RS_RODNECISLO");
    }

    public String rsTypklient() {
        return (String) params.get("RS_TYPKLIENT");
    }

    public String rsJmeno() {
        return (String) params.get("RS_JMENO");
    }

    public String rsPrijmeni() {
        return (String) params.get("RS_PRIJMENI");
    }

    public String rsUlice() {
        return (String) params.get("RS_ULICE");
    }

    public String rsSidlo() {
        return (String) params.get("RS_SIDLO");
    }

    public String rsPsc() {
        return (String) params.get("RS_PSC");
    }

    public String rsZeme() {
        return (String) params.get("RS_ZEME");
    }

    public String rsTitulpred() {
        return (String) params.get("RS_TITULPRED");
    }

    public String rsTitulza() {
        return (String) params.get("RS_TITULZA");
    }

    public String rsPobocka() {
        return (String) params.get("RS_POBOCKA");
    }

    public String rsStatniprislusnost() {
        return (String) params.get("RS_STATNIPRISLUSNOST");
    }

    public String rsRezidentcr() {
        return (String) params.get("RS_REZIDENTCR");
    }

    public String rsRezidentsr() {
        return (String) params.get("RS_REZIDENTSR");
    }

    public Long rsKlientiddisponent() {
        return (Long) params.get("RS_KLIENTIDDISPONENT");
    }

    public String rsOpcislo() {
        return (String) params.get("RS_OPCISLO");
    }

    public java.util.Date rsOpplatnost() {
        return (java.util.Date) params.get("RS_OPPLATNOST");
    }

    public String rsPascislo() {
        return (String) params.get("RS_PASCISLO");
    }

    public java.util.Date rsPasplatnost() {
        return (java.util.Date) params.get("RS_PASPLATNOST");
    }

    public String rsDruhdruhehodokladu() {
        return (String) params.get("RS_DRUHDRUHEHODOKLADU");
    }

    public String rsDruhydokladcislo() {
        return (String) params.get("RS_DRUHYDOKLADCISLO");
    }

    public java.util.Date rsDruhydokladplatnost() {
        return (java.util.Date) params.get("RS_DRUHYDOKLADPLATNOST");
    }

    public String rsStavdisponenta() {
        return (String) params.get("RS_STAVDISPONENTA");
    } 

}
